Bug 1063090 - [RFE] Add "beah_rpm" ks_meta variable to force particular beah version
Summary: [RFE] Add "beah_rpm" ks_meta variable to force particular beah version
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: scheduler
Version: 0.15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 0.15.4
Assignee: Dan Callaghan
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-10 00:55 UTC by Nick Coghlan
Modified: 2018-02-06 00:41 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-18 01:38:47 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1062867 None None None Never
Red Hat Bugzilla 1062896 None None None Never

Internal Links: 1062867 1062896

Description Nick Coghlan 2014-02-10 00:55:18 UTC
Currently, if a new version of beah introduces issues, it isn't possible to opt in to using an old version instead.

A new "beah_rpm" ks_meta variable would allow this to be supported by providing the full package name such as "beah-0.6.48".

    ks_meta="beah_rpm=beah-0.6.48"

The difference between this new metavariable and the alternate harness support is that all of the beah specific support in the kickstart files would still be enabled.

Comment 1 Dan Callaghan 2014-02-10 02:05:03 UTC
http://gerrit.beaker-project.org/2794

Comment 5 Dan Callaghan 2014-02-18 01:38:47 UTC
Beaker 0.15.4 has been released.


Note You need to log in before you can comment on or make changes to this bug.